import * as z from 'zod';
import { Prisma } from '../../../generated/prisma';
import Decimal from 'decimal.js';


import { DecimalJSLikeSchema, isValidDecimalInput } from '../../helpers/decimal-helpers';
const makeSchema = () => z.object({
  id: z.number().int().optional(),
  paymentId: z.number().int(),
  collectionAmount: z.union([
  z.number(),
  z.string(),
  z.instanceof(Decimal),
  z.instanceof(Prisma.Decimal),
  DecimalJSLikeSchema,
]).refine((v) => isValidDecimalInput(v), {
  message: "Field 'collectionAmount' must be a Decimal",
})
}).strict();
export const CommissionBatchItemCreateManyCommissionBatchInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemCreateManyCommissionBatchInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemCreateManyCommissionBatchInput>;
export const CommissionBatchItemCreateManyCommissionBatchInputObjectZodSchema = makeSchema();
